Subject: Re: [PMOL] IETF Draft: SIP Performance Metrics-03

From: "Marian Delkinov" <[email-masked]>
Date: Fri, 20 Feb 2009 11:42:33 +0100

Daryl, 

Sorry, for my perhaps delayed feedback! (I'm back after a long absence).

I checked the new version (03) of the draft. All the texts that I had
comments before are fine. 

However, I found some changes in other texts, based on other people's
comments, that I have to disagree with. 

---
Chapter 3, page 5:
As defined above, T1 is associated with the start of a request and
   also serves as the time-of-day stamp associated with a single
   specific measurement.  The time offset [RFC2330] is the difference
   between T1 and a recognized primary source of time, such as UTC
   (offset = T1- UTC).

Instead of using the term "time offset" above, I suggest "clock's
offset". Thus the text will comply with the terminology used in RFC2330,
chapter 10.1.

---
Same page, the text:
When measurement results will be correlated with other results or
   information using time-of-day stamps, then the time clock that
   supplies T1 SHOULD be synchronized to a primary time source, to
   minimize the error in the time offset.  The time offset MUST be
   reported with each measurement.

I fail to understand the sentence "to minimize the error in the time
offset". There is no ERROR in the time offset, because the time offset
IS the error. Moreover RFC2330 doesn't define such error, the draft
doesn't define it either, so better avoid using it. I suggest keeping
the text as in version-02, but using "clock's offset". 

In addition, when correlating measurements, it's much more important all
clocks used at the measurement sources to be synchronized to each other,
rather than be synchronized to primary time source. Thus the relative
offset should be minimized. 

So the text should be:

When measurement results will be correlated with other results or
   information using time-of-day stamps, then the time clock that
   supplies T1 SHOULD be synchronized to a primary time source, to
   minimize clock's offset.  The clocks used at the different 
   measurement sources SHOULD be synchronized to each other, to
   minimize the relative offset (as defined in RFC2330). The 
   clock's offset and the relative offset MUST be reported with 
   each measurement.

---
Respectively and for the same reasons, the following text:
The accuracy of the T4-T1 interval is also critical to maintain and
   report.  The difference in errors between the time offsets at T1 and
   T4 is associated with the clock's skew [RFC2330].

Should be kept as in version -02, but use the "clock's offset" term:

The accuracy of the T4-T1 interval is also critical to maintain and
   report. The difference between clock's offsets at T1 and T4 is the
   error for the measurement and is associated with the clock's skew
[RFC2330].

I'm OK with all other changes in version -03 compared to version -02.

Best regards!
Mario.

> 
> I am about to submit a new revision of the SIP Performance Metrics 
> draft.  I have attached the new revision and a diff.
> Many of the changes you will see in this version are related to the 
> source draft conversion to xml.  I plan to submit the new revision in 
> a few days.  If you have any comments or feedback it is appreciated.
> 
> Regards,
> 
> Daryl
> 
> 
> ----------------
> Daryl Malas
> CableLabs
> (o) +1 303 661 3302
> (f) +1 303 661 9199
> mailto:[email-masked]
>

---

From: "Daryl Malas" <[email-masked]>
Date: Tue, 24 Feb 2009 11:52:11 -0700

Forwarding comments on behalf of Mario, because I never saw them hit the
mailing list...

----------------
Daryl Malas
CableLabs
(o) +1 303 661 3302
(f) +1 303 661 9199

> -----Original Message-----
> From: Marian Delkinov [mailto:[email-masked]] 
> Sent: Friday, February 20, 2009 3:43 AM
> To: Daryl Malas
> Cc: [email-masked]
> Subject: RE: IETF Draft: SIP Performance Metrics-03
> 
>  
> Daryl, 
> 
> I checked the new version (03) of the draft. All the texts 
> that I had comments before are fine. 
> 
> However, I found some changes in other texts, based on other 
> people's comments, that I have to disagree with. 
> 
> ---
> Chapter 3, page 5:
> Instead of using the term "time offset" above, I suggest 
> "clock's offset". Thus the text will comply with the 
> terminology used in RFC2330, chapter 10.1.
> 
> ---
> Same page, the text:
> I fail to understand the sentence "to minimize the error in 
> the time offset". There is no ERROR in the time offset, 
> because the time offset IS the error. Moreover RFC2330 
> doesn't define such error, the draft doesn't define it 
> either, so better avoid using it. I suggest keeping the text 
> as in version-02, but using "clock's offset". 
> 
> In addition, when correlating measurements, it's much more 
> important all clocks used at the measurement sources to be 
> synchronized to each other, rather than be synchronized to 
> primary time source. Thus the relative offset should be minimized. 
> 
> So the text should be:
> 
>    error for the measurement and is associated with the 
> clock's skew [RFC2330].
> 
>